### Hierarchy

- unknown
  - BtcBalanceInfo

## Index

### Constructors

- constructor

### Methods

- getAvailableBalance
- getLockedBalance
- getReservedBalance
- getTotalAvailableBalance
- serializeBinary
- setAvailableBalance
- setLockedBalance
- setReservedBalance
- setTotalAvailableBalance
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new BtcBalanceInfo(): BtcBalanceInfo

- Inherited from jspb.Message.constructor

  #### Returns BtcBalanceInfo

## Methods

### getAvailableBalance

- getAvailableBalance(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3740

  #### Returns number

### getLockedBalance

- getLockedBalance(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3749

  #### Returns number

### getReservedBalance

- getReservedBalance(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3743

  #### Returns number

### getTotalAvailableBalance

- getTotalAvailableBalance(): number

- - Defined in src/protobuf/grpc_pb.d.ts:3746

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3752

  #### Returns Uint8Array

### setAvailableBalance

- setAvailableBalance(value: number): BtcBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3741

  #### Parameters

  - ##### value: number

  #### Returns BtcBalanceInfo

### setLockedBalance

- setLockedBalance(value: number): BtcBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3750

  #### Parameters

  - ##### value: number

  #### Returns BtcBalanceInfo

### setReservedBalance

- setReservedBalance(value: number): BtcBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3744

  #### Parameters

  - ##### value: number

  #### Returns BtcBalanceInfo

### setTotalAvailableBalance

- setTotalAvailableBalance(value: number): BtcBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3747

  #### Parameters

  - ##### value: number

  #### Returns BtcBalanceInfo

### toObject

- toObject(includeInstance?: boolean): BtcBalanceInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3753

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns BtcBalanceInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): BtcBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3756

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BtcBalanceInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BtcBalanceInfo, reader: BinaryReader): BtcBalanceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3757

  #### Parameters

  - ##### message: BtcBalanceInfo

  - ##### reader: BinaryReader

  #### Returns BtcBalanceInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: BtcBalanceInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3755

  #### Parameters

  - ##### message: BtcBalanceInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: BtcBalanceInfo ): BtcBalanceInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3754

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BtcBalanceInfo

  #### Returns BtcBalanceInfo . AsObject

Generated using TypeDoc